#include "download_thread.h"
#include "shared_mem_buffer.h"
#include "hwapi.h"

DownloadThread::DownloadThread(hwinf *hw, QString const &fileToDownload)
  : m_hw(hw)
  , m_fileToDownload(fileToDownload) {
}

DownloadThread::~DownloadThread() {
}

// download thread running in ca-master sends the dc-file down to firmware
void DownloadThread::run() {
    m_hw->dcDownloadInit(m_fileToDownload);

    // hier dann den eigentlichen download-process eintragen

    // m_hw->dcDownloadGetCurrentBlockNumber(currentBlockNumber);
    // m_hw->dcDownloadGetTotalBlockNumber(totalBlockNumber);
}
